/*
 *	@(#) init.h 1.3 86/12/17 
 *
 *	Copyright (C) The Santa Cruz Operation, 1984, 1985, 1986, 1987.
 *	Copyright (C) Microsoft Corporation, 1984, 1985, 1986, 1987.
 *	This Module contains Proprietary Information of
 *	The Santa Cruz Operation, Microsoft Corporation
 *	and AT&T, and should be treated as Confidential.
 */

extern int clkstart(),cinit(),binit(),errinit(),iinit(),inoinit(), clkinit();
#ifdef X25_0
extern x25init();
#endif
#ifdef BX25S_0
extern bxncinit();
extern sessinit();
#endif
#ifdef ST_0
extern	stinit();
#endif
#ifdef	VPM_0
extern	vpminit();
#endif
#ifdef EM_0
extern  eminit();
#endif

/*	Array containing the addresses of the various initializing	*/
/*	routines executed by "main" at boot time.			*/

int (*init_tbl[])() = {
	clkinit,
	cinit,
	binit,
#ifdef ERR
	errinit,
#endif
	iinit,
#ifdef	VPM_0
	vpminit,
#endif
#ifdef X25_0
	x25init,
#endif
#ifdef ST_0
	stinit,
#endif
#ifdef BX25S_0
        bxncinit,
        sessinit,
#endif
#ifdef EM_0
	eminit,
#endif
	0
};
