/*
 *  Configuration information
 */



#include	"../h/types.h"

#include	"../h/param.h"

#include	"../h/sysmacros.h"
#include	"../h/conf.h"
#include	"../h/iobuf.h"
#include	"../h/tty.h"

extern nodev(), nulldev(), novec();


int	clock();
int	cnintr();
int	siointr();
int	siointr();
int	paintr();
int	flintr();
int	paintr();
int	exintr();
int	siointr();
int	siointr();
int	i287intr();
int	wdintr();


uchar_t 	vecintflags[] =
{
	SWITCH_INTR|CLOCK_INTR,
	SWITCH_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	SWITCH_INTR,
	SWITCH_INTR,
	SWITCH_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	SWITCH_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
	FAST_INTR,
};



uchar_t 	vecintlev[] =
{
	6,
	1,
	0,
	7,
	7,
	2,
	5,
	2,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	4,
	0,
	7,
	7,
	1,
	5,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
};



int 	(*vecintsw[])() =
{
	clock,
	cnintr,
	novec,
	siointr,
	siointr,
	paintr,
	flintr,
	paintr,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	exintr,
	novec,
	siointr,
	siointr,
	i287intr,
	wdintr,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
	novec,
};

extern i287init();
extern struct iobuf fltab;
extern flopen(), flclose(), flhalt(), flread(), flwrite(), flioctl(), flstrategy();
extern struct iobuf wdtab;
extern wdopen(), wdhalt(), wdread(), wdwrite(), wdioctl(), wdstrategy();
extern struct tty sio_tty[];
extern sioopen(), sioclose(), sioinit(), siopoll(), sioread(), siowrite(), sioioctl();
extern paopen(), paclose(), painit(), pawrite(), paioctl();
extern mmread(), mmwrite(), mmioctl();
extern cdbread(), cdbwrite();
extern rtcread(), rtcwrite();
extern struct iobuf omtab;
extern omopen(), omclose(), ominit(), omread(), omwrite(), omioctl(), omstrategy();
extern bscopen(), bscclose(), bscinit(), bscpoll(), bscread(), bscwrite(), bscioctl();
extern x25open(), x25close(), x25init(), x25poll(), x25read(), x25write(), x25ioctl();
extern lanopen(), lanclose(), laninit(), lanpoll(), lanread(), lanwrite(), lanioctl();
extern dosopen(), dosclose(), dosread(), doswrite(), dosioctl();
extern wnopen(), wnclose(), wninit(), wnread(), wnwrite(), wnioctl();
extern struct iobuf mttab;
extern mtopen(), mtclose(), mtinit(), mtread(), mtwrite(), mtioctl(), mtstrategy();
extern avopen(), avclose(), avinit(), avread(), avwrite(), avioctl();
extern xttyopen(), xttyclose(), xttyread(), xttywrite(), xttyioctl();
extern exopen(), exclose(), exread(), exwrite(), exioctl();
extern xmopen(), xmread(), xmwrite(), xmioctl();
extern xsoopen(), xsoclose(), xsoread(), xsowrite(), xsoioctl();
extern muopen(), muinit(), mupoll(), muread(), muwrite(), muioctl();
extern mioopen(), mioclose(), miopoll(), mioread(), miowrite(), mioioctl();
extern struct iobuf scsitab;
extern scsiopen(), scsiclose(), scsiinit(), scsiread(), scsiwrite(), scsiioctl(), scsistrategy();
extern seropen(), serclose(), serinit(), serpoll(), serread(), serwrite(), serioctl();
extern sxtopen(), sxtclose(), sxtread(), sxtwrite(), sxtioctl();
extern struct iobuf ramtab;
extern ramopen(), ramclose(), ramstrategy();
extern erropen(), errclose(), errinit(), errread(), errioctl();
extern intrinit();
extern clkinit();
extern struct tty cn_tty[];
extern cnopen(), cnclose(), cnread(), cnwrite(), cnioctl();
extern syopen(), syclose(), syread(), sywrite(), syioctl();

int	(*dinitsw[])()=
{
	i287init,
	sioinit,
	painit,
	ominit,
	bscinit,
	x25init,
	laninit,
	wninit,
	mtinit,
	avinit,
	muinit,
	scsiinit,
	serinit,
	errinit,
	intrinit,
	clkinit,
	(int (*)())0
};

int	(*dhaltsw[])()=
{
	flhalt,
	wdhalt,
	(int (*)())0
};

int	(*dpollsw[])()=
{
	siopoll,
	bscpoll,
	x25poll,
	lanpoll,
	mupoll,
	miopoll,
	serpoll,
	(int (*)())0
};

struct	bdevsw bdevsw[]=
{
/* 0*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/* 1*/ "hd"    , wdopen  , nulldev  , wdstrategy  , &wdtab  ,
/* 2*/ "fd"    , flopen  , flclose  , flstrategy  , &fltab  ,
/* 3*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/* 4*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/* 5*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/* 6*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/* 7*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/* 8*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/* 9*/ "om"    , omopen  , omclose  , omstrategy  , &omtab  ,
/*10*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*11*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*12*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*13*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*14*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*15*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*16*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*17*/ "mt"    , mtopen  , mtclose  , mtstrategy  , &mttab  ,
/*18*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*19*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*20*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*21*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*22*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*23*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*24*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*25*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*26*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*27*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*28*/ "scsi"  , scsiopen, scsiclose, scsistrategy, &scsitab,
/*29*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*30*/ 0       , nodev   , nodev    , nodev       ,  0      ,
/*31*/ "ram"   , ramopen , ramclose , ramstrategy , &ramtab ,
};

struct	cdevsw cdevsw[]=
{
/* 0*/ "scrn"  , cnopen  , cnclose  , cnread  , cnwrite  , cnioctl  , cn_tty,0,
/* 1*/ "hd"    , wdopen  , nulldev  , wdread  , wdwrite  , wdioctl  , 0,0,
/* 2*/ "fd"    , flopen  , flclose  , flread  , flwrite  , flioctl  , 0,0,
/* 3*/ "tty"   , syopen  , syclose  , syread  , sywrite  , syioctl  , 0,0,
/* 4*/ "mem"   , nulldev , nulldev  , mmread  , mmwrite  , mmioctl  , 0,0,
/* 5*/ "sio"   , sioopen , sioclose , sioread , siowrite , sioioctl , sio_tty,0,
/* 6*/ "pa"    , paopen  , paclose  , nodev   , pawrite  , paioctl  , 0,0,
/* 7*/ "cdb"   , nulldev , nulldev  , cdbread , cdbwrite , nodev    , 0,0,
/* 8*/ "rtc"   , nulldev , nulldev  , rtcread , rtcwrite , nodev    , 0,0,
/* 9*/ "om"    , omopen  , omclose  , omread  , omwrite  , omioctl  , 0,0,
/*10*/ 0       , nodev   , nodev    , nodev   , nodev    , nodev    , 0      ,
0         ,
/*11*/ 0       , nodev   , nodev    , nodev   , nodev    , nodev    , 0      ,
0         ,
/*12*/ "bsc"   , bscopen , bscclose , bscread , bscwrite , bscioctl , 0,0,
/*13*/ "x25"   , x25open , x25close , x25read , x25write , x25ioctl , 0,0,
/*14*/ "lan"   , lanopen , lanclose , lanread , lanwrite , lanioctl , 0,0,
/*15*/ "dos"   , dosopen , dosclose , dosread , doswrite , dosioctl , 0,0,
/*16*/ "wn"    , wnopen  , wnclose  , wnread  , wnwrite  , wnioctl  , 0,0,
/*17*/ "mt"    , mtopen  , mtclose  , mtread  , mtwrite  , mtioctl  , 0,0,
/*18*/ "av"    , avopen  , avclose  , avread  , avwrite  , avioctl  , 0,0,
/*19*/ "xtty"  , xttyopen, xttyclose, xttyread, xttywrite, xttyioctl, 0,0,
/*20*/ "ex"    , exopen  , exclose  , exread  , exwrite  , exioctl  , 0,0,
/*21*/ "xm"    , xmopen  , nulldev  , xmread  , xmwrite  , xmioctl  , 0,0,
/*22*/ "xso"   , xsoopen , xsoclose , xsoread , xsowrite , xsoioctl , 0,0,
/*23*/ "mu"    , muopen  , nulldev  , muread  , muwrite  , muioctl  , 0,0,
/*24*/ "ms"    , mioopen , mioclose , mioread , miowrite , mioioctl , 0,0,
/*25*/ 0       , nodev   , nodev    , nodev   , nodev    , nodev    , 0      ,
0         ,
/*26*/ 0       , nodev   , nodev    , nodev   , nodev    , nodev    , 0      ,
0         ,
/*27*/ 0       , nodev   , nodev    , nodev   , nodev    , nodev    , 0      ,
0         ,
/*28*/ "scsi"  , scsiopen, scsiclose, scsiread, scsiwrite, scsiioctl, 0,0,
/*29*/ "ser"   , seropen , serclose , serread , serwrite , serioctl , 0,0,
/*30*/ "sxt"   , sxtopen , sxtclose , sxtread , sxtwrite , sxtioctl , 0,0,
/*31*/ 0       , nodev   , nodev    , nodev   , nodev    , nodev    , 0      ,
0         ,
/*32*/ "err"   , erropen , errclose , errread , nodev    , errioctl , 0,0,
};

int	bdevcnt=	32;
int	cdevcnt=	33;

int	bdevmax=	32;
int	cdevmax=	33;

dev_t	rootdev=	makedev(1,40);
dev_t	pipedev=	makedev(1,40);
dev_t	swapdev=	makedev(1,41);
daddr_t	swplo=	0;
int	nswap=	0;


int	ttopen(), ttclose(), ttread(), ttwrite(), ttioctl(), ttin(), ttout();


int	sxtrwrite(), sxtin(), sxtout();

struct linesw linesw[]=
{
/*0*/ ttopen, ttclose, ttread, ttwrite, ttioctl, ttin, ttout, nulldev,
/*1*/ nulldev, nulldev, nulldev, sxtrwrite, nulldev, sxtin, sxtout, nulldev,
        0
};

int	linecnt = 2;

