;
;	%Z% %M% %I% %D% %Q%
;
;	Copyright (C) The Santa Cruz Operation, 1984, 1985, 1986, 1987.
;	Copyright (C) Microsoft Corporation, 1984, 1985, 1986, 1987.
;	This Module contains Proprietary Information of
;	The Santa Cruz Operation, Microsoft Corporation
;	and AT&T, and should be treated as Confidential.
;

	TITLE   space

include sizeof.inc
include space.inc

SPACE_TEXT	SEGMENT  BYTE PUBLIC 'CODE'
SPACE_TEXT	ENDS
_DATA	SEGMENT  WORD PUBLIC 'DATA'
_DATA	ENDS
CONST	SEGMENT  WORD PUBLIC 'CONST'
CONST	ENDS
_BSS	SEGMENT  WORD PUBLIC 'BSS'
_BSS	ENDS

SPACE1_DATA	SEGMENT WORD PUBLIC 'FAR_DATA'
ifndef i80386

PUBLIC	_inode
_inode db (NINODE * SZ_INODE)dup(0)
EVEN
PUBLIC	_file
_file db (NFILE * SZ_FILE)dup(0)
EVEN

endif
SPACE1_DATA	ENDS

DGROUP	GROUP	CONST,	_BSS,	_DATA
	ASSUME  CS: SPACE_TEXT, DS: DGROUP, SS: DGROUP, ES: DGROUP

PUBLIC  _v
PUBLIC  _Cmask

ifdef i80386
PUBLIC  _sptmap
PUBLIC	_sptent
PUBLIC	_pbuf
endif

PUBLIC	_buf
PUBLIC	_sabuf
PUBLIC	_hbuf
PUBLIC  _dma_single

PUBLIC	_cfree
PUBLIC	_emap
PUBLIC	_sxtlink

PUBLIC	_locklist
PUBLIC	_mount

PUBLIC	_text
PUBLIC	_proc
PUBLIC  _swapmap
PUBLIC  _coremap
PUBLIC	_coreent
PUBLIC	_swapent

PUBLIC	_callout
PUBLIC  _Hz
PUBLIC  _Timezone
PUBLIC  _Dstflag

PUBLIC	_msgent
PUBLIC	_msgque
PUBLIC	_msgh
PUBLIC  _msgmap

PUBLIC	_sem
PUBLIC	_sema
PUBLIC	_sement
PUBLIC	_sem_undo
PUBLIC	_semu
PUBLIC	_semtmp
PUBLIC  _semmap
PUBLIC  _seminfo

PUBLIC	_shmid_tab
PUBLIC	_shmid_pos
PUBLIC	_sdtab

PUBLIC  _node

_DATA SEGMENT
	PUBLIC	_Timezone
_Timezone	DW	TIMEZONE
	PUBLIC	_Dstflag
_Dstflag	DW	DSTFLAG
	PUBLIC	_Cmask
_Cmask	DW		CMASK
	PUBLIC  _dma_single
_dma_single	DW	DMAEXCL
	PUBLIC	_coremap
_coremap	DW	00H
	DW	CMAPSIZ
	DW	_coreent
	PUBLIC	_swapmap
_swapmap	DW	00H
	DW	SMAPSIZ
	DW	_swapent

ifdef i80386
	PUBLIC	_sptmap
_sptmap	DW	00H
	DW	064H
	DW	_sptent
endif

	PUBLIC	_Hz
_Hz	DW	HZ

	PUBLIC	_node
_node	DB	NODE , 00H
	ORG	$+8
	EVEN

	PUBLIC	_msgmap
_msgmap	DW	00H
	DW	MSGMAP
	DW	_msgent

	PUBLIC	_msginfo
_msginfo DW	MSGMAP
	DW	MSGMAX
	DW	MSGMNB
	DW	MSGMNI
	DW	MSGSSZ
	DW	MSGTQL
	DW	MSGSEG

	PUBLIC	_semmap
_semmap	DW	00H
	DW	SEMMAP
	DW	_sement

	PUBLIC	_seminfo
_seminfo	DW	SEMMAP
	DW	SEMMNI
	DW	SEMMNS
	DW	SEMMNU
	DW	SEMMSL
	DW	(SEMUME * SZ_UNDO) + SZ_SEMUNDO
	DW	SEMOPM
	DW	SEMUME
	DW	SEMVMX
	DW	SEMAEM

	PUBLIC	_v
_v	DW	NBUF
	DW	NSABUF
	DW	NHBUF
	DW	NHBUF-1
	DW	MAXBUF
	DW	NCALL
	DW	NINODE
ifdef i80386
	DW	SZ_INODE * NINODE + _inode
else
	DD	SZ_INODE * NINODE + _inode
endif
	DW	NFILE
ifdef i80386
	DW	SZ_FILE * NFILE + _file 
else
	DD	SZ_FILE * NFILE + _file 
endif
	DW	NMOUNT
	DW	SZ_MOUNT * NMOUNT + _mount
	DW	NPROC
	DW	SZ_PROC * NPROC + _proc
	DW	NTEXT
	DW	SZ_TEXT * NTEXT + _text
	DW	NCLIST
	DW	MAXUPRC
	DW	MAXMEM
	DW	NFLOCKS
	DW	NSDSEGS
	DW	NSDSLOTS
	DW	MSGMAP
	DW	MSGMAX
	DW	MSGMNB
	DW	MSGMNI
	DW	MSGTQL
	DW	MSGSSZ
	DW	MSGSEG
	DW	SEMMAP
	DW	SEMMNI
	DW	SEMMNU
	DW	SEMMSL
	DW	SEMOPM
	DW	SEMUME
	DW	SEMVMX
	DW	SEMAEM
	DW	SEMMNS
	DW	(SEMUME * SZ_UNDO) + SZ_SEMUNDO
	DW	NSCRN
	DW	NPBUF
	DW	NEMAP

ifdef i80386
	_sabuf db  (BSIZE * (NBUF + NSABUF))dup(0)
	_buf db   (SZ_BUF * (NBUF + NSABUF))dup(0)
else
	_sabuf db (NSABUF * BSIZE)dup(0)
	if NBUF EQ 0
		_buf db (SZ_BUF * MAXBUF)dup(0)
	else
		_buf db (SZ_BUF * (NBUF + NSABUF))dup(0)
	endif
endif

_hbuf db (NHBUF * SZ_HBUF)dup(0)

ifdef i80386
_pbuf db (NPBUF * SZ_BUF)dup(0)
_pfreelist db  (SZ_PFREE)dup(0)
endif

_sxtlink db (NSXT * SZ_SXT)dup(0)
_emap db (NEMAP * SZ_EMAP)dup(0)
_cfree db (NCLIST * SZ_CBLOCK)dup(0)
_locklist db (NFLOCKS * SZ_LOCKL)dup(0)
EVEN
_mount db (NMOUNT * SZ_MOUNT)dup(0)
EVEN

_text db (NTEXT * SZ_TEXT)dup(0)
EVEN
_coreent db (CMAPSIZ * SZ_MAPENT)dup(0)
EVEN
_swapent db (CMAPSIZ * SZ_MAPENT)dup(0)
EVEN
_proc db  (NPROC * SZ_PROC)dup(0)
EVEN

ifdef i80386
_sptent db  (SZ_MAPENT * 100)dup(0)
endif

_callout db (NCALL * SZ_CALLO)dup(0)
EVEN

_msgent db (MSGMAP * SZ_MAPENT)dup(0)
EVEN
_msgque db (MSGMNI * SZ_MSQID)dup(0)
EVEN
_msgh db (MSGTQL * SZ_MSG)dup(0)
EVEN

_sema db (SEMMNI * SZ_SEMID)dup(0)
EVEN
_sem db (SEMMNS * SZ_SEM)dup(0)
EVEN
_sement db (SEMMAP * SZ_MAPENT)dup(0)
EVEN
_sem_undo db (NPROC * SZ_STRUCTPTR)dup(0)
EVEN
_semu db ((((SZ_UNDO * SEMUME ) + SZ_SEMUNDO) * SEMMNU) + 1)dup(0)
EVEN

if ((SEMMSL * SZ_USHORT) GT SZ_SEMID) AND ((SEMMSL * SZ_USHORT) GT (SEMOPM * SZ_SEMBUF))
_semtmp db  (SEMMSL * SZ_USHORT)dup(0)
else
if (SZ_SEMID GT (SEMOPM * SZ_SEMBUF)) AND (SZ_SEMID GT (SEMMSL * SZ_USHORT))
_semtmp db  (SZ_SEMID)dup(0)
else
_semtmp db  (SEMOPM * SZ_SEMBUF)dup(0)
endif
endif
EVEN

_shmid_tab db (NSDSEGS * SZ_SHMID)dup(0)
EVEN

_shmid_pos dw 0

_sdtab db (NSDSEGS * NSDSLOTS * SZ_SD)dup(0)
EVEN

_DATA      ENDS
SPACE_TEXT      SEGMENT
SPACE_TEXT	ENDS
END
